from django.db import models
from django.contrib.auth.models import User
import os
from tinymce import models as tinymce_models
from model_utils import Choices
from inventarioalmacen.models import *


# Create your models here.
class invequipo(models.Model):
    STATUS1 = Choices('Dañado', 'Marginal', 'Funcional')
    STATUS2 = Choices('SI', 'NO')
    STATUS3 = Choices('SI', 'NO')
    estado_funcional = models.CharField(choices=STATUS1, default=STATUS1.Funcional, max_length=20, verbose_name='Estatus')
    n_control = models.IntegerField(unique=True, null=False, verbose_name='No Control')
    equipo = models.ForeignKey(equipo, on_delete=models.CASCADE, null=False, blank=False, verbose_name='Equipo')
    area = models.ForeignKey(area, on_delete=models.CASCADE, null=False, blank=False, verbose_name='Area')
    descripcion = tinymce_models.HTMLField(null=False, verbose_name='Descripción')
    marca = models.ForeignKey(marca, on_delete=models.CASCADE, null=False, blank=False, verbose_name='Marca')
    modelo = models.CharField(max_length=250, null=True, blank=True, verbose_name='Modelo')
    n_serie = models.CharField(max_length=250, unique=True, null=False, verbose_name='No Serie')
    accesorios = tinymce_models.HTMLField( null=True, blank=True, verbose_name='Accesorios')
    obsoleto = models.CharField(choices=STATUS2, default=STATUS2.NO, max_length=20, verbose_name='Obsoleto')
    inventariado = models.CharField(max_length=250, null=True, blank=True, verbose_name='Inventariado')
    n_act_fijo = models.CharField(max_length=250, null=True, blank=True, verbose_name='Numero Activo Fijo')
    provedor = models.CharField(max_length=250, null=True, blank=True, verbose_name='Provedor')
    c_basico = models.CharField(max_length=250, null=True, blank=True, verbose_name='Clave de cuadro basico')
    fecha_alta = models.DateField(auto_now_add=True, verbose_name='Fecha alta')
    fecha_actualizacion = models.DateField(auto_now=True, verbose_name='Fecha de Actualización')
    localizado = models.CharField(choices=STATUS3, default=STATUS3.SI, max_length=20, verbose_name='Localizado')
    accesorios2 = tinymce_models.HTMLField(null=True, blank=True, verbose_name='Accesorios 2')
    accesorios3 = tinymce_models.HTMLField(null=True, blank=True, verbose_name='Accesorios 3')
    accesorios4 = tinymce_models.HTMLField(null=True, blank=True, verbose_name='Accesorios 4')
    accesorios5 = tinymce_models.HTMLField(null=True, blank=True, verbose_name='Accesorios 5')
    fecha_inst = models.DateField(default='2022-12-31', null=True, blank=True, verbose_name='Fecha Instalacion')

    def __str__(self):
        return self.n_control
    
    class Meta:
        verbose_name = 'Equipo'
        verbose_name_plural = 'Equipos'
        ordering = ['n_control']

